欢迎光临
我们一直在努力

在Ubuntu下编译安装Atom编辑器

今天一大早就在开源中国首页看到了Atom编辑器可以下载使用的消息,打开一看只提供Mac版的安装包。于是去Github上看了看,发现可以在Linux平台下编译安装,步骤也比较简单,于是决定在Ubuntu上折腾一番,体验一下。
先上一张运行效果图:
Atom ubuntu下截图

安装前工作

官方推荐环境

  • Ubuntu12.04 LTS 64 bit
  • 64位操作系统
  • nodejs v0.10.x
  • npm v1.4.x
  • sudo apt-get install libgnome-keyring-dev
  • npm config set python /usr/bin/python2 -g 确保使用Python2

然后按照官方的教程依次执行下面代码:
[codee]
git clone https://github.com/atom/atom
cd atom
script/build //Creates application at /tmp/atom-build/Atom
sudo script/grunt install //Installs command to /usr/local/bin/atom
[/codee]
整个源文件有200多兆,下载速度因网络而异,下载完成后进行编译,不出意外的话,过个20分钟左右你就可以使用atom了。
在终端中直接输入atom即可。

安装常见问题

我的Ubuntu是14.04 64bit,安装的过程中出现了点小问题。
[codee]no such option –no-parallel 错误
解决办法是直接将atom/build/node_modules/npm/node_modules/node-gyp/lib/configure.js文件中316行左右的//argv.push(‘–no-parallel’)注释掉;或者升级gyp。推荐前者[/codee]

atom安装位置

[text]atom默认是安装在/user/local/bin下的,如果想要修改安装位置,可以添加INSTALL_PREFIX环境变量来修改安装位置或者直接修改build/Gruntfile.coffee文件中68行左右的installDir = process.env.INSTALL_PREFIX ? ‘/usr/local’的值。[/text]

atom 运行错误cannot open shared object file libudev.so.0

我运行的时候出现了这个错误,经过Google找了解决方法:
对于32位系统
[codee]sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0 [/codee]
对于64位系统
[codee]sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0 [/codee]
以上就是我安装过程中遇到的一些问题,仅供参考。
【转载于51CTO】

赞(0) 打赏
未经允许不得转载:枣庄滕州微信小程序开发_wordpress主机SEO优化_滕州网站建设 -眼镜男网络 » 在Ubuntu下编译安装Atom编辑器
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!